import { Component, OnInit } from '@angular/core';
import {UntypedFormControl, Validators} from "@angular/forms";

@Component({
  selector: 'app-task-editor',
  templateUrl: './task-editor.component.html',
  styleUrls: ['./task-editor.component.css']
})
export class TaskEditorComponent implements OnInit {

  nameCtrl = new UntypedFormControl('', [Validators.required, Validators.maxLength(255)])
  etaCtrl = new UntypedFormControl(0, [Validators.required, Validators.min(0)])
  startDate = new UntypedFormControl(Date.now(), [Validators.required])
  constructor() { }

  ngOnInit(): void {
  }

}
